Bug 224841 - [dark] Unreadable elements in wizards
[dark] Unreadable elements in wizards
Status: CLOSED FIXED
Product: contrib
Classification: Unclassified
Component: Nimbus Theme
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@contrib
:
Depends on:
Blocks: 225542
  Show dependency treegraph
 
Reported: 2013-01-14 11:39 UTC by Antonin Nebuzelsky
Modified: 2013-06-27 12:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (62.27 KB, image/png)
2013-01-14 11:39 UTC, Antonin Nebuzelsky
Details
Dark Look-and-Feels Need Adjustments in Window System Code (210.71 KB, image/png)
2013-01-28 09:35 UTC, Petr Somol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2013-01-14 11:39:43 UTC
Created attachment 130181 [details]
screenshot

New Project wizard
unreadable wizard steps on left
unreadable project names in the list on right
unreadable sample warning message at bottom
Comment 1 Petr Somol 2013-01-28 09:35:44 UTC
Created attachment 130713 [details]
Dark Look-and-Feels Need Adjustments in Window System Code

Dark Look-and-Feels Need Adjustments in Window System Code

While working on a dark LaF based on redefining colors in o.n.swing.plaf/src/org/netbeans/swing/plaf/util/NbTheme.java several problems showed up. Some icons are hardly visible on dark background, others look too bright. But the most striking problem is in wizards/dialogs. Wizards always show a bright pane on the left with the list of wizard steps, the predominant white color needs to be changed; also, descriptions of selected items in New File/Project wizards are rendered in black on dark background. In other types of dialogs the warning and info texts are rendered also dark on dark background, see Find in Projects in the attachment. Dark LaFs thus apparently need API support in these areas?. Other areas might be possibly identified as well upon further investigation.
Comment 2 Stanislav Aubrecht 2013-02-14 16:13:49 UTC
core-main a42e15bd8a13
Comment 3 Stanislav Aubrecht 2013-02-15 09:47:10 UTC
core-main ad24f77af0ee
Comment 4 Quality Engineering 2013-02-23 04:12:59 UTC
Integrated into 'main-golden', will be available in build *201302222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a42e15bd8a13
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #224841 - dark l&f theme fixes (option window toolbar, wizards, dialogs)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo